statistics-0.10.3.1: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.Poisson

Contents

- Constructors
- Accessors
- References

Description

The Poisson distribution. This is the discrete probability distribution of a number of events occurring in a fixed interval if these events occur with a known average rate, and occur independently from each other within that interval.

Synopsis

- data PoissonDistribution
- poisson :: Double -> PoissonDistribution
- poissonLambda :: PoissonDistribution -> Double

# Documentation

data PoissonDistribution

Instances

Eq PoissonDistribution |
Read PoissonDistribution |
Show PoissonDistribution |
Typeable PoissonDistribution |
Variance PoissonDistribution |
MaybeVariance PoissonDistribution |
Mean PoissonDistribution |
MaybeMean PoissonDistribution |
DiscreteDistr PoissonDistribution |
Distribution PoissonDistribution |

# Constructors

poisson :: Double -> PoissonDistribution

Create Poisson distribution.

# Accessors

poissonLambda :: PoissonDistribution -> Double

# References

- Loader, C. (2000) Fast and Accurate Computation of Binomial Probabilities. http://projects.scipy.org/scipy/raw-attachment/ticket/620/loader2000Fast.pdf